Foreman - Bug #16649

PXE helper pxe_kernel_options renders as array
09/22/2016 06:45 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.13.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3877
Description

In PXE templates there should be pxe_kernel_options appended on each line, but it renders as "[]" instead empty string (or

"['element=xyz']") instead of element=xyz.

It does not break provisioning tho, but parameters (like blacklist) do not work.

1.13 candidate bug.

Related issues:

Related to Foreman - Bug #16318: PXE templates do not work in safemode

Closed

08/26/2016

Associated revisions

Revision 6¢c132bee - 09/30/2016 07:50 AM - Lukas Zapletal
Fixes #16649 - PXE helper pxe_kernel_options rendering

Revision fff93044 - 10/04/2016 01:32 PM - Lukas Zapletal
Fixes #16649 - PXE helper pxe_kernel_options rendering

(cherry picked from commit 6¢132bee43b5bf05488754b6561bc65b7edee036)

History

#1 - 09/22/2016 06:47 AM - Dominic Cleal
- Related to Bug #16318: PXE templates do not work in safemode added

#2 - 09/22/2016 06:47 AM - Dominic Cleal
- Status changed from New to Assigned

- translation missing: en.field_release set to 160

#3 - 09/22/2016 06:55 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3877 added

#4 - 09/30/2016 08:02 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 6c132bee43b5bf05488754b6561bc65b7edee036.

05/18/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6c132bee43b5bf05488754b6561bc65b7edee036
http://www.tcpdf.org

